| Home | Libraries | People | FAQ | More

###### http::message::version (1 of 2 overloads)

(Inherited from `http::header`)

Return the HTTP-version.

###### Synopsis

    unsigned
    version() const;

###### Description

This holds both the major and minor version numbers, using these formulas:

    unsigned major = version / 10;
    unsigned minor = version % 10;

Newly constructed headers will use HTTP/1.1 by default.